var numberOfEntries=9; // // To plithos twn orwn
var entry = new makeArray(numberOfEntries-1);
var url = new makeArray(numberOfEntries-1);
var index = new makeArray(numberOfEntries-1);

function makeArray(n) {
	this.length=n;
	for (var i=1;i<=n;i++);
		this[i]=null;
		return this;
	}




function buildTermList() {
var termlist;
var i=-1;
i=i+1;index[i]="0"; entry[i]="Επιλέξτε ένα θέμα";url[i]="";
i=i+1;index[i]="1"; entry[i]="Οι απαρχές της οργανικής χημείας;";url[i]="../organic.htm";
i=i+1;index[i]="2";entry[i]="Το πετρέλαιο αλλάζει τη ζωή στην Αμερικάνικη Δύση";url[i]="../looky.htm";
i=i+1;index[i]="3";entry[i]="Τα κοιτάσματα πετρελαίου στην Ελλάδα";url[i]="../petrol.htm";
i=i+1;index[i]="4";entry[i]="Mια ιστορία για κάλτσες";url[i]="../nylon.htm";
i=i+1;index[i]="5";entry[i]="H ανακάλυψη της διαδικασίας της ζύμωσης" ;url[i]="../pasteur.htm";
i=i+1;index[i]="6";entry[i]="O άνθρωπος που μεθούσε τρώγοντας μακαρόνια" ;url[i]="../makaroni.htm";
i=i+1;index[i]="7";entry[i]="Γαλακτικό οξύ και αθλητισμός" ;url[i]="../galactic.htm";
i=i+1;index[i]="8";entry[i]="H ζάχαρη και η τερηδόνα  ";url[i]="../teridona.htm";


	termlist = '<SELECT NAME=terms SIZE=1  onChange="showDef(selectedIndex)">';
	for (var i=0;i<=entry.length;i++) {
		termlist += '<OPTION VALUE="'+url[i]+'">'+entry[i]+ '</OPTION>';
		}
	termlist += "</SELECT>";
	return termlist;

	}

//displays definition on selection
function showDef(index) {
parent.frames['items'].location=url[index];
document.glossary.terms.options[0].selected=true;
	}
